/*
 * AttributeBuilder.java
 *
 * Created on 12 September 2002
 */

package lifecycle;
import uk.ac.ukc.cs.kmf.ocl.IString;
import uk.ac.ukc.cs.kmf.toolgen.vsml.AS.IPackage_;
import uk.ac.ukc.cs.kmf.toolgen.vsml.repository.IvsmlRepository;

/**
 *
 * @author  sjhk
 */
public class Package_Lifecycle extends uk.ac.ukc.cs.kmf.toolgen.vsml.AS.implementation.Package_Lifecycle {
    
    /** Creates a new instance of AssociationEndLifecycle */
    protected Package_Lifecycle() {
        super();
    }
   
    public Package_Lifecycle(IvsmlRepository rep) {
        this.rep=rep;
    }

    public IPackage_ build(IPackage_ owner, IString name){
        IPackage_ package_ = (IPackage_)build();
        package_.setName(name);
        if (owner != null){
            package_.setOwner(owner);
            owner.package_().add(package_);
        }
        return package_;
    }

}
